Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.util
Class WsdlUtils.WsrpPortStruct

    java.lang.Object
      com.bea.wsrp.util.WsdlUtils.WsrpPortStruct

Enclosing class:
  WsdlUtils

Deprecated No longer supported.

    @Deprecated
    public static final class WsdlUtils.WsrpPortStruct

extends Object

Specifies WSRP ports offered by a producer.

Method Summary
`boolean` | `acceptsMime()` Deprecated No longer supported.
`String` | `getMarkupPortUrl()` Deprecated No longer supported.
`String` | `getPortletManagementPortUrl()` Deprecated No longer supported.
`String` | `getRegistrationPortUrl()` Deprecated No longer supported.
`String` | `getServiceDescriptionPortUrl()` Deprecated No longer supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMarkupPortUrl

    @Deprecated
    public String getMarkupPortUrl()

  Deprecated No longer supported.

  Returns markup port.

### getServiceDescriptionPortUrl

    @Deprecated
    public String getServiceDescriptionPortUrl()

  Deprecated No longer supported.

  Returns service description port.

### getRegistrationPortUrl

    @Deprecated
    public String getRegistrationPortUrl()

  Deprecated No longer supported.

  Returns registration port.

### getPortletManagementPortUrl

    @Deprecated
    public String getPortletManagementPortUrl()

  Deprecated No longer supported.

  Returns portlet management port.

### acceptsMime

    @Deprecated
    public boolean acceptsMime()

  Deprecated No longer supported.

  Returns true if this producer can process MIME messages.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.